OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXCAF
XCAFDoc

# XCAFDoc_Datum Class Reference

`#include <XCAFDoc_Datum.hxx>`

## Public Member Functions
Standard_EXPORT | XCAFDoc_Datum ()
Standard_EXPORT void | Set (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription, const Handle(TCollection_HAsciiString)&anIdentification)
Standard_EXPORT Handle_TCollection_HAsciiString | GetName () const
Standard_EXPORT Handle_TCollection_HAsciiString | GetDescription () const
Standard_EXPORT Handle_TCollection_HAsciiString | GetIdentification () const
Standard_EXPORT const Standard_GUID & | ID () const
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT const Standard_GUID & | GetID ()
static Standard_EXPORT Handle_XCAFDoc_Datum | Set (const TDF_Label &label, const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription, const Handle(TCollection_HAsciiString)&anIdentification)
## Private Attributes
Handle_TCollection_HAsciiString | myName
Handle_TCollection_HAsciiString | myDescription
Handle_TCollection_HAsciiString | myIdentification

## Constructor & Destructor Documentation

Standard_EXPORT XCAFDoc_Datum::XCAFDoc_Datum | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString XCAFDoc_Datum::GetDescription | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& XCAFDoc_Datum::GetID | ( |  | ) | `[static]`

Standard_EXPORT Handle_TCollection_HAsciiString XCAFDoc_Datum::GetIdentification | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString XCAFDoc_Datum::GetName | ( |  | ) | const

Standard_EXPORT const XCAFDoc_Datum::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT const Standard_GUID& XCAFDoc_Datum::ID | ( |  | ) | const

Standard_EXPORT Handle_TDF_Attribute XCAFDoc_Datum::NewEmpty | ( |  | ) | const

Standard_EXPORT void XCAFDoc_Datum::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const

Standard_EXPORT void XCAFDoc_Datum::Restore | ( | const Handle(TDF_Attribute)& | With | ) |

Standard_EXPORT void XCAFDoc_Datum::Set | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(TCollection_HAsciiString)& | anIdentification
| ) |

static Standard_EXPORT Handle_XCAFDoc_Datum XCAFDoc_Datum::Set | ( | const TDF_Label & | label,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(TCollection_HAsciiString)& | anIdentification
| ) | `[static]`

## Field Documentation

Handle_TCollection_HAsciiString XCAFDoc_Datum::myDescription`[private]`

Handle_TCollection_HAsciiString XCAFDoc_Datum::myIdentification`[private]`

Handle_TCollection_HAsciiString XCAFDoc_Datum::myName`[private]`

The documentation for this class was generated from the following file:

- XCAFDoc_Datum.hxx